Upsert Shortcut Guidance Class
curl --request PUT \
--url https://api.example.com/api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exemplar_path": "<string>",
"mask_png_base64": "<string>",
"bbox": {},
"strokes": "<unknown>"
}
'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name}"
payload = {
"exemplar_path": "<string>",
"mask_png_base64": "<string>",
"bbox": {},
"strokes": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exemplar_path: '<string>',
mask_png_base64: '<string>',
bbox: {},
strokes: '<unknown>'
})
};
fetch('https://api.example.com/api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"class_name": "<string>",
"exemplar_path": "<string>",
"mask_url": "<string>",
"bbox": {},
"strokes": "<unknown>",
"created_at": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Upsert Shortcut Guidance Class
PUT
/
api
/
datasets
/
{dataset_id}
/
shortcut-guidance
/
classes
/
{class_name}
Upsert Shortcut Guidance Class
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Cookies
Body
application/json
⌘I

